export default {
    abi: [
        {
            anonymous: false,
            inputs: [
                {
                    indexed: false,
                    internalType: "string",
                    name: "domain",
                    type: "string",
                },
            ],
            name: "AddDomain",
            type: "event",
        },
        {
            anonymous: false,
            inputs: [
                {
                    indexed: false,
                    internalType: "string",
                    name: "domain",
                    type: "string",
                },
            ],
            name: "RemoveDomain",
            type: "event",
        },
        {
            inputs: [
                {
                    internalType: "string",
                    name: "domain",
                    type: "string",
                },
            ],
            name: "checkDomain",
            outputs: [
                {
                    internalType: "bool",
                    name: "",
                    type: "bool",
                },
            ],
            stateMutability: "view",
            type: "function",
        },
        {
            inputs: [
                {
                    internalType: "string",
                    name: "domain",
                    type: "string",
                },
            ],
            name: "addDomain",
            outputs: [],
            stateMutability: "nonpayable",
            type: "function",
        },
        {
            inputs: [
                {
                    internalType: "string",
                    name: "domain",
                    type: "string",
                },
            ],
            name: "removeDomain",
            outputs: [],
            stateMutability: "nonpayable",
            type: "function",
        },
    ],
};
//# sourceMappingURL=ERC7529Abi.js.map